Eclipse Platform Release 3.7

## org.eclipse.help
Interface ICriteriaDefinition

All Superinterfaces:
  IUAElement

    public interface ICriteriaDefinition

extends IUAElement

ICriteriaDefinition represents the criteria definition of one plug-in. It contains criterion definitions, each of them is criterion id and its display name, and criterion values id and their display names.

Since:
  3.5

Method Summary
`ICriterionDefinition[]` `getCriterionDefinitions()` Obtains the criterion definitions contained in the definition file.

Methods inherited from interface org.eclipse.help.IUAElement
`getChildren, isEnabled`

Method Detail

### getCriterionDefinitions

    ICriterionDefinition[] getCriterionDefinitions()

  Obtains the criterion definitions contained in the definition file.

  Returns:
    Array of ICriterionDefinition

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.